#ifndef LEARNING_FEATURE_EXTRACTOR_H
#define LEARNING_FEATURE_EXTRACTOR_H

/**
 * This class is the base class for feature extractors
 */

#include "../../task_proxy.h"

#include <vector>

class FeatureExtractor {
public:
    static int get_num_features(const State &state);
    static void extract_features(const State &state, std::vector<int> &features);
    static std::vector<int> extract_features(const State &state);
};

#endif
